import 'package:flutter/material.dart';

class DeviceStatusPosition extends StatelessWidget {
  const DeviceStatusPosition({
    super.key,
    required this.deviceStatus,
    this.currentTop = 10,
  });
  final Widget deviceStatus;
  final double? currentTop;

  @override
  Widget build(BuildContext context) {
    return Positioned(
      right: 10,
      top: currentTop!,
      child: deviceStatus,
    );
  }
}
